--- CPANPLUS/Dist/Fedora.pm-orig	2015-11-17 03:57:19.991994346 -0500
+++ CPANPLUS/Dist/Fedora.pm	2015-11-20 16:08:40.710003836 -0500
@@ -274,6 +274,13 @@
         $status->specpath,
     );
 
+    if ( $intern->_callbacks->munge_dist_metafile ) {
+        print 'munging...';
+        my $orig_contents = _read_file( $status->specpath );
+        my $new_contents = $intern->_callbacks->munge_dist_metafile->($intern, $orig_contents);
+        _write_file( $status->specpath, $new_contents );
+    }
+
     # copy package.
     my $tarball = "$dir/" . basename $module->status->fetch;
     copy $module->status->fetch, $tarball;
@@ -389,6 +396,20 @@
 #--
 # Private methods:
 
+sub _read_file {
+    my ($filename) = @_;
+    open my $fh, '< :encoding(utf8)', $filename;
+    local $/;
+    my $contents = <$fh>;
+    return $contents
+}
+
+sub _write_file {
+    my ($filename, $contents) = @_;
+    open my $fh, '> :encoding(utf8)', $filename;
+    print $fh $contents;
+}
+
 #
 # my $bool = $self->_has_been_built;
 #
